{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
        }
    },
    mounted:function(){

    },
    created:function(){
      /*console.log("xxxxxxxxxxxxxxxxxxxxyyy");
      this.$store.commit('increment');
      console.log(this.count);
      console.log("xxxxxxxxxxxxxxxxxxxxyyy");*/
    },
    methods:{
      onColFormater(row,column,cellvalue,index){
        if(column.property=="status"){
          if(row["status"]==1){
            return "启动";
          }else{
            return "停用";
          }
        }
        return cellvalue;
       },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(val);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },
       rowClick:function(row,key){
         if(key=="stopUser"){
           this.modelName="partnerinfo";
           var url=this.getUrl("update");
           if(row.status==1){
             row.status='0';
           }else{
             row.status='1';
           }
           row.version+=1;
           this.$root.postReq(url,row).then(rd=>{
             if(rd.status==0){
               this.$refs.partnerinfoGrid.fetchData();
           }
         });
       }
     },
       fetchData:function(){

       }
    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb-partnerinfo"
}
